/***************************************************************************
 $RCSfile: wcb_p.h,v $
                             -------------------
    cvs         : $Id: wcb_p.h,v 1.1.1.1 2005/02/18 08:55:10 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AD_WCB_P_H
#define AD_WCB_P_H

#include "wcb_l.h"


typedef struct AD_WAITCALLBACK AD_WAITCALLBACK;
struct AD_WAITCALLBACK {
  AB_PROVIDER *provider;
  AB_BANKING *banking;
  GWEN_TYPE_UINT64 lastProgress;
};
void AD_WaitCallback_FreeData(void *bp, void *p);


GWEN_WAITCALLBACK_RESULT AD_WaitCallback_CheckAbort(GWEN_WAITCALLBACK *ctx,
                                                    unsigned int level);
GWEN_WAITCALLBACK *AD_WaitCallback_Instantiate(GWEN_WAITCALLBACK *ctx);
void AD_WaitCallback_Log(GWEN_WAITCALLBACK *ctx,
                         unsigned int level,
                         unsigned int loglevel,
                         const char *s);







#endif /* AD_WCB_P_H */








